package com.tanpu.community.api.beans.req;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Map;

@Data
public class CreateThemeReq {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "类型 1：讨论无标题 2：长文有标题")
    private Integer themeType;


    @ApiModelProperty(value = "标题")
    private String title;

    @ApiModelProperty(value = "文本内容")
    private String content;

    @ApiModelProperty(value = "所属的话题")
    private String topicId;

    @ApiModelProperty(value = "被转发的主题")
    private String formerThemeId;

    @ApiModelProperty("附件")
    private Map<String,String> attachment;

}
