package com.tanpu.community.api;

import com.tanpu.common.api.CommonResp;
import com.tanpu.community.api.beans.req.AlertReq;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

@Api(tags = "告警")
public interface CommunityApi {
    @ApiOperation("企业微信机器人告警")
    @PostMapping("/api/wework-robot-alert")
    CommonResp<List<AlertReq>> weworkRobotAlert(@RequestBody AlertReq alertReq);
}


