package com.tanpu.community.dao.mapper.community;

import com.tanpu.community.dao.entity.community.VisitSummaryEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Update;

/**
 * <p>
 * 浏览记录 Mapper 接口
 * </p>
 *
 * @author xudong
 * @since 2021-06-15
 */
public interface VisitSummaryMapper extends BaseMapper<VisitSummaryEntity> {

    @Update("update visit_summary set duration=duration+#{dur} where ident=#{ident}")
    void updateDurByIdent(@Param("ident") String ident, @Param("dur") Integer dur);
}
